Page MenuHomePhabricator

html2wt should not need access to original source
Closed, ResolvedPublic

Description

From the comments here,
https://gerrit.wikimedia.org/r/#/c/205503/3/lib/mediawiki.DOMUtils.js

See uses of DU.getWTSource() and page.src.substr.

Event Timeline

Arlolra created this task.Apr 22 2015, 9:43 PM
Arlolra raised the priority of this task from to Medium.
Arlolra updated the task description. (Show Details)
Arlolra added a project: Parsoid.
Arlolra added a subscriber: Arlolra.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 22 2015, 9:43 PM
ssastry renamed this task from html2wt should need access to original source to html2wt should not need access to original source.Apr 22 2015, 9:46 PM
ssastry set Security to None.

Change 210821 had a related patch set uploaded (by Arlolra):
html2wt should not need access to original source

https://gerrit.wikimedia.org/r/210821

Change 210821 merged by jenkins-bot:
html2wt should not need access to original source

https://gerrit.wikimedia.org/r/210821

Arlolra closed this task as Resolved.May 17 2015, 2:40 AM
Arlolra claimed this task.

Change 381497 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] T96923: Remove further access to src when not in selserMode

https://gerrit.wikimedia.org/r/381497

Change 381497 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T96923: Remove further access to src when not in selserMode

https://gerrit.wikimedia.org/r/381497

Mentioned in SAL (#wikimedia-operations) [2017-10-24T18:05:33Z] <arlolra> Updated Parsoid to a3be9cfc (T96923, T177784, T176568, T25467)

Change 513177 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Remove "use_source" flag

https://gerrit.wikimedia.org/r/513177

Change 513177 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Remove "use_source" flag

https://gerrit.wikimedia.org/r/513177